
Summary: Lazy RPC client/server library
Name: azy
Version: 20111118
Release: %mkrel 1
License: LGPLv2.1
Group: Graphical desktop/Enlightenment
Source: %{name}.tar.xz
URL: http://www.enlightenment.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: eina, ecore
BuildRequires: eina-devel, ecore-devel

%description
Azy is a full rewrite of libzxr, itself a modification of libxr.  It is meant for
implementing rpc clients and servers in a simple manner.

%package devel
Summary: Azy headers, static libraries, documentation and test programs
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Headers, static libraries, test programs and documentation for Azy

%prep
%setup -q -n %{name}


%build
./autogen.sh
%configure2_5x --disable-static
%make

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall

find %{buildroot} -name '*.la' | xargs rm

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_bindir}/azy_parser
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%changelog
* Fri Nov 18 2011 Texstar <texstar at gmail.com> 20111118-1pclos2011
- update

* Sat Feb 26 2011 Texstar <texstar at gmail.com> 20111225-2pclos2011
- rebuild

* Sat Dec 25 2010 Texstar <texstar at gmail.com> 20101225-1pclos2010
- update svn
